<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKUsr3EditViewBase from './ibizbookusr3-edit-view-base.vue';

import view_form from '@widgets/ibizbook/major-state-form-form/major-state-form-form.vue';
// 基于 @VIEW/实体编辑视图/VIEW.vue.ftl 生成

@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKUsr3EditView extends IBIZBOOKUsr3EditViewBase {

}
</script>